
Application: gvSIG desktop - gvSIG bugs #565
Exception accessing to WMTS server 
04/23/2012 06:08 PM - Joaquín  del Cerro Murciano

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: WMTS
Target version:
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Formats: WMTS support (org.gvsig.raster.wmts.app.wmtsclient)
Description

Exception accessing to WMTS server (http://www.ign.es/wmts/ign-base)

INFO [Thread-12] (SEDownloader.java:252) -
http://www.ign.es/wmts/ign-base?REQUEST=GetCapabilities&#38;SERVICE=WMTS&#38;VERSION=1.0.0&#38;EXCEPTIONS=ap
lication/vnd.ogc.se_xml
cached at '/tmp/tmp-andami/wmts_getCapabilities13347508482021.xml'
org.xmlpull.v1.XmlPullParserException: END_TAG expected
(position:START_TAG <ows:Keyword>@85:17 in
java.io.InputStreamReader@17c9937)
    at org.kxml2.io.KXmlParser.exception(Unknown Source)
    at org.kxml2.io.KXmlParser.nextText(Unknown Source)
    at org.gvsig.remoteclient.wmts.struct.WMTSBaseStruct.nextText(WMTSBaseStruct.java:105)
    at org.gvsig.remoteclient.wmts.wmts_1_0_0.struct.WMTSLayer_1_0_0.parse(WMTSLayer_1_0_0.java:69)
    at
org.gvsig.remoteclient.wmts.wmts_1_0_0.WMTSProtocolHandler1_0_0.parseServiceContent(WMTSProtocolHandler1_0_0.java:143)
    at org.gvsig.remoteclient.wmts.wmts_1_0_0.WMTSProtocolHandler1_0_0.parseCapabilities(WMTSProtocolHandler1_0_0.java:89)
    at org.gvsig.remoteclient.wmts.WMTSProtocolHandler.getCapabilities(WMTSProtocolHandler.java:394)
    at org.gvsig.remoteclient.wmts.WMTSClient.getCapabilities(WMTSClient.java:138)
    at org.gvsig.remoteclient.wmts.WMTSClient.connect(WMTSClient.java:168)
    at org.gvsig.raster.wmts.io.WMTSConnector.connect(WMTSConnector.java:72)
    at org.gvsig.raster.wmts.io.WMTSServerExplorer.connect(WMTSServerExplorer.java:184)
    at org.gvsig.raster.wmts.app.wmtsclient.gui.wizard.WMTSWizard$ConnectThread.run(WMTSWizard.java:178)

History
#1 - 05/10/2012 02:03 PM - Ignacio Brodín
- Status changed from New to Won't fix

I can't get that exception parsing the Capabilities of that server.

05/17/2024 1/1

http://www.ign.es/wmts/ign-base
http://www.ign.es/wmts/ign-base?REQUEST=GetCapabilities&#38;SERVICE=WMTS&#38;VERSION=1.0.0&#38;EXCEPTIONS=application/vnd.ogc.se_xml
http://www.ign.es/wmts/ign-base?REQUEST=GetCapabilities&#38;SERVICE=WMTS&#38;VERSION=1.0.0&#38;EXCEPTIONS=application/vnd.ogc.se_xml

